/*****************************************************************************************
*
* File:		signalization.h
* Author:	Roman Mego
* Date:		8. April 2011
*
* Brief:	Macros for signalization
*
*****************************************************************************************/


/*****************************************************************************************
* Pin connection
*****************************************************************************************/

#define LED_R_pin	1		// pin number
#define LED_R_port	PORTA	// port register
#define LED_R_dir	TRISA	// port direction register

#define LED_G_pin	0		// pin number
#define LED_G_port	PORTA	// port register
#define LED_G_dir	TRISA	// port direction register


/*****************************************************************************************
* Macros
*****************************************************************************************/

#define LED_RED_ON		LED_R_port &= ~(1 << LED_R_pin)	// red LED on
#define LED_RED_OFF		LED_R_port |= 1 << LED_R_pin	// red LED of
#define LED_GREEN_ON	LED_G_port &= ~(1 << LED_G_pin)	// green LED on
#define LED_GREEN_OFF	LED_G_port |= 1 << LED_G_pin	// green LED off

#define LED_RED			LED_RED_ON; \
						LED_GREEN_OFF					// set LED to red
#define LED_GREEN		LED_RED_OFF; \
						LED_GREEN_ON					// set LED to green
#define LED_OFF			LED_RED_OFF; \
						LED_GREEN_OFF					// turn off LED

/*****************************************************************************************
* Functions
*****************************************************************************************/

void init_signalization(void);		// initialize signalization